package eu.dnetlib.broker.oa.controllers;

import java.io.Serializable;

public class EventFeedback implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = -6967719685282712195L;

	private String eventId;
	private String status;

	// TOOD status should be an enum having the following values:
	// * DISCARDED: the event was not processable by the system. OpenAIRE should not interpret such status in a negative or positive sense
	// with regard to the accuracy of the notification
	// * REJECTED: a human takes the decision to reject the suggestion as it was wrong
	// * ACCEPTED: a human takes the decision to apply the suggested enrichment to the local record

	protected String getEventId() {
		return eventId;
	}

	protected void setEventId(final String eventId) {
		this.eventId = eventId;
	}

	protected String getStatus() {
		return status;
	}

	protected void setStatus(final String status) {
		this.status = status;
	}

}
